1. Getting Started
VLTZ PAY
  • API Reference
    • Getting Started
      • Create a hosted checkout session
        POST
      • Get payment status
        GET
    • Core Resources
      • Create a direct payment
      • List application transactions
      • Get transaction dashboard summary
      • Get an application transaction
      • List application payment activity
    • Schemas
      • CheckoutRequest
      • CreatePaymentRequest
      • PaymentRequestBase
      • CardDetails
      • PaymentMethodCode
      • BillingDetails
      • CheckoutBilling
      • LineItem
      • PaymentMetadata
      • CheckoutResponse
      • CreatePaymentResponseEnvelope
      • CreatePaymentResponse
      • ProviderCheckout
      • ProviderResult
      • PaymentRecord
      • PaymentStatus
      • ResolvedPaymentMethod
      • PaymentStatusResponseEnvelope
      • Transaction
      • TransactionResponseEnvelope
      • TransactionListResponseEnvelope
      • TransactionSummaryResponseEnvelope
      • CurrencySummary
      • DailySummary
      • ActivityLogListResponseEnvelope
      • ActivityLog
      • PaymentStatusCallback
      • ErrorEnvelope
  1. Getting Started

Create a hosted checkout session

POST
https://api-vltzpay.beespokedev.com/api/v1.0/payments/checkout
Creates an encrypted hosted-checkout URL. Redirect the customer's browser to checkoutUrl. The application must be active. The application's configured payment provider is used when one is assigned.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Hosted checkout URL created.
Bodyapplication/json

🟠409
🟠400ValidationError
🟠404InvalidApplication
🟠422ProviderConfigurationError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-vltzpay.beespokedev.com/api/v1.0/payments/checkout' \
--header 'Content-Type: application/json' \
--data-raw '{
    "appKey": "app_your_provisioned_key",
    "reference": "order_01J7Y9KZM2KCG6TAVQT4G31PW7",
    "amount": 1499.5,
    "currency": "PHP",
    "customer": "customer_12345",
    "description": "VLTZ Pro subscription",
    "redirectUri": "https://merchant.example/payments/return",
    "successUrl": "https://merchant.example/payments/success",
    "cancelUrl": "https://merchant.example/payments/cancelled",
    "failedUrl": "https://merchant.example/payments/failed",
    "callbackUri": "https://merchant.example/api/payment-events",
    "billing": {
        "firstName": "Juan",
        "lastName": "Dela Cruz",
        "email": "juan@example.com",
        "phone": "+639171234567",
        "address": "123 Rizal Street",
        "city": "Makati",
        "state": "Metro Manila",
        "postalCode": "1200",
        "country": "PH"
    },
    "lineItems": [
        {
            "name": "VLTZ Pro subscription",
            "amount": 1499.5,
            "quantity": 1,
            "currency": "PHP"
        }
    ],
    "metadata": {
        "orderId": "order_01J7Y9KZM2KCG6TAVQT4G31PW7"
    }
}'
Response Response Example
200 - Success
{
    "checkoutUrl": "https://pay.example/checkout?token=encrypted-checkout-token"
}
Modified at 2026-07-30 05:27:13
Previous
Getting Started
Next
Get payment status
Built with